summaryrefslogtreecommitdiffstats
path: root/builder/build-initramfs.sh
diff options
context:
space:
mode:
authortorben2016-02-06 02:49:52 +0100
committertorben2016-02-06 02:49:52 +0100
commitc2d8446b366d8cc2b4b6a6912588441efcf95741 (patch)
treeabcf67208824f377ac3305471042ef007b5fb062 /builder/build-initramfs.sh
parentSync (diff)
downloadsystemd-init-c2d8446b366d8cc2b4b6a6912588441efcf95741.tar.gz
systemd-init-c2d8446b366d8cc2b4b6a6912588441efcf95741.tar.xz
systemd-init-c2d8446b366d8cc2b4b6a6912588441efcf95741.zip
sync
Diffstat (limited to 'builder/build-initramfs.sh')
-rwxr-xr-xbuilder/build-initramfs.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/builder/build-initramfs.sh b/builder/build-initramfs.sh
index c9b3c8c4..28137603 100755
--- a/builder/build-initramfs.sh
+++ b/builder/build-initramfs.sh
@@ -320,13 +320,14 @@ cleanup() {
# region controller
+result=0
dependency_check core dependencies utils_dependency_check program || \
result=$?
dependency_check core shared_library_pattern_dependencies \
utils_dependency_check_shared_library 'shared library' || result=$?
dependency_check core package_dependencies utils_dependency_check_pkgconfig \
package || result=$?
-[ -z $result ] || exit $result
+[[ $result == 0 ]] || exit $result
logging.set_commands_level debug
logging.set_level debug
@@ -336,11 +337,14 @@ if ! parse_command_line "$@"; then
exit 1
fi
-dependency_check optional dependencies utils_dependency_check program || true
+dependency_check optional dependencies utils_dependency_check program || \
+ result=$?
dependency_check optional shared_library_pattern_dependencies \
- utils_dependency_check_shared_library 'shared library' || true
+ utils_dependency_check_shared_library 'shared library' || result=$?
dependency_check optional package_dependencies \
- utils_dependency_check_pkgconfig package || true
+ utils_dependency_check_pkgconfig package || result=$?
+[[ $result == 1 ]] && exit $result
+
## region handle delegated operations to specified target